from datasets import load_dataset
from copy import deepcopy
if __name__ == "__main__":
    ds = load_dataset("HuggingFaceH4/Llama-3.2-1B-Instruct-best-of-N-completions", "HuggingFaceH4_MATH-500--T-0.8--top_p-1.0--n-1024--max_tokens-2048--bsz-8--seed-0--agg_strategy-last")
    print("here")
    all_data = []
    for idx, sample in enumerate(dataset):
        all_data.append(deepcopy(sample))
    
    print("here")
    